﻿namespace PhysicsUnitsLib {
	public static class DoubleExtensions {
		public static Meter Meters(this double d) => new Meter(d);
		public static Second Seconds(this double d) => new Second(d);
		public static MeterPerSecond MeterPerSeconds(this double d) => new MeterPerSecond(d);
	}

	public static class Int32Extensions {
		public static Meter Meters(this int d) => new Meter(d);
		public static Second Seconds(this int d) => new Second(d);
		public static MeterPerSecond MeterPerSeconds(this int d) => new MeterPerSecond(d);
	}
}